#version 120
#extension GL_EXT_gpu_shader4 : require

//
// Vertex shader for evaluating the directional lighting in the
// deferred shading passes.
//
// Author: Evan Hart
// Email: sdkfeedback@nvidia.com
//
// Copyright (c) NVIDIA Corporation. All rights reserved.
////////////////////////////////////////////////////////////////////////////////

varying vec2 texCoord;

void main() {
	
	gl_Position.xy = gl_Vertex.xy * 2.0 - 1.0;
	gl_Position.zw = gl_Vertex.zw;
	texCoord = gl_Vertex.xy;
}