#version 120
#extension GL_ARB_draw_buffers : require
#extension GL_EXT_gpu_shader4 : require

//
// Fragment shader for the lights themselves, not the lighting they
// produce.
//
// Author: Evan Hart
// Email: sdkfeedback@nvidia.com
//
// Copyright (c) NVIDIA Corporation. All rights reserved.
////////////////////////////////////////////////////////////////////////////////

varying vec3 oColor;
varying vec2 coord;

void main() {

    //make the light round
	if ( dot( coord, coord) > 1.0)
	    discard;
	
	gl_FragColor = vec4( oColor, 1.0);
}