#version 120
#extension GL_EXT_gpu_shader4 : require

//
// Vertex shader for the ornaments. This only fills the MRT for
// the deferred shading.
//
// Author: Evan Hart
// Email: sdkfeedback@nvidia.com
//
// Copyright (c) NVIDIA Corporation. All rights reserved.
////////////////////////////////////////////////////////////////////////////////

varying vec3 position;
varying vec4 mat;

void main() {
	
	position = (gl_ModelViewMatrix * gl_Vertex).xyz;
	
	gl_Position = ftransform();
	
	mat = gl_Color;
}